Skip to main content
POST
Create split transactions
This endpoint creates two or more child transactions that are branched from a previous transaction. This endpoint allows you to link multiple categories, descriptions, and amounts to a parent transaction.

When a split transaction is created, the parent transaction’s has_been_split field will automatically be updated to true and the child transactions’ parent_guid will have the transaction guid of the parent. The total amount of the child transactions must equal the amount of the parent transaction. Once a transaction has been split it can’t be split again.

To re-split a transaction, it must first be un-split. This can be done by calling the Delete Split Transactions endpoint. Calling this endpoint will delete the existing child transactions and update the parent transaction’s has_been_split field to false. You can then re-split the parent transaction by calling Create Split Transaction again.

Authorizations

MD-SESSION-TOKEN
string
header
required

MX Session Token

  • Request an API token using the read API token endpoint in the MX SSO API.
  • Exchange an API token for a session token.
    • A session token is obtained by sending a POST request to /sessions
    • The session token will be used in each request made for the user. It should be passed in an MD-SESSION-TOKEN HTTP header as shown below.
    • This session token is valid for 30 minutes from the time it was created. The 30 minute expiration counter is refreshed with each call.
    • If you send a request with an expired session token you'll receive an error code of 4011.

In documentation code examples, replace <API_KEY_VALUE> with the session token.

Path Parameters

transaction_guid
string
required

The unique identifier for the transaction. Defined by MX.

Body

application/vnd.mx.nexus.v1+json
transactions
object[]

Response

200 - application/vnd.mx.api.v1+json

OK

transactions
object[]
pagination
object